Package com.independentsoft.graph

# Enum Class ReferenceAttachmentPermission

java.lang.Object
java.lang.Enum<ReferenceAttachmentPermission>
com.independentsoft.graph.ReferenceAttachmentPermission

All Implemented Interfaces:
  `Serializable`, `Comparable<ReferenceAttachmentPermission>`, `Constable`

public enum ReferenceAttachmentPermission extends Enum<ReferenceAttachmentPermission>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANONYMOUS_EDIT`
  `ANONYMOUS_VIEW`
  `EDIT`
  `NONE`
  `ORGANIZATION_EDIT`
  `ORGANIZATION_VIEW`
  `OTHER`
  `VIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReferenceAttachmentPermission`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReferenceAttachmentPermission[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OTHER

    public static final ReferenceAttachmentPermission OTHER

  - ### VIEW

    public static final ReferenceAttachmentPermission VIEW

  - ### EDIT

    public static final ReferenceAttachmentPermission EDIT

  - ### ANONYMOUS_VIEW

    public static final ReferenceAttachmentPermission ANONYMOUS_VIEW

  - ### ANONYMOUS_EDIT

    public static final ReferenceAttachmentPermission ANONYMOUS_EDIT

  - ### ORGANIZATION_VIEW

    public static final ReferenceAttachmentPermission ORGANIZATION_VIEW

  - ### ORGANIZATION_EDIT

    public static final ReferenceAttachmentPermission ORGANIZATION_EDIT

  - ### NONE

    public static final ReferenceAttachmentPermission NONE

- ## Method Details

  - ### values

    public static ReferenceAttachmentPermission[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReferenceAttachmentPermission valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null